## ros-one-jsk-recognition-msgs 1.2.19-6jammy.20251025.2047

=== debian/changelog ===
ros-one-jsk-recognition-msgs (1.2.19-6jammy.20251025.2047) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 25 Oct 2025 20:47:58 +0000

ros-one-jsk-recognition-msgs (1.2.19-0jammy) jammy; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.18-0jammy) jammy; urgency=high

  * Fixup 6ac62fef5caba52cbfa71c093b242a1f0b5a1b88 (#2853 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2853>)
    Drop unused catkin_python_setup().
    The call and setup.py are only required when defining python modules,
    but jsk_recognition_msgs does not expose a python package (aside from
    the autogenerated package for the messages).
    This got noticed because Debian's python setuptools complains about
    missing package list in setup.py:
    ---
    error: Multiple top-level packages discovered in a flat-layout: ['srv', 'msg', 'debian', 'action', 'sample'].
    To avoid accidental inclusion of unwanted files or directories,
    setuptools will not proceed with this build.
    If you are trying to create a single distribution with multiple packages
    on purpose, you should not rely on automatic discovery.
    Instead, consider the following options:
    1. set up custom discovery (find directive with include or exclude)
    2. use a src-layout
    3. explicitly set py_modules or packages with a list of names
    To find more information, look for "package discovery" on setuptools docs.
    CMake Error at catkin_generated/safe_execute_install.cmake:4 (message):
    execute_process(/<<BUILDDIR>>package/.obj-x86_64-linux-gnu/catkin_generated/python_distutils_install.sh)
    returned error code
    Call Stack (most recent call first):
    cmake_install.cmake:46 (include)
    ---
  * Add ros_environment (#2836 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2836>)
  * Contributors: Jeremy Kolb, v4hn

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.17-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.16-0jammy) jammy; urgency=high

  * [feature] VQA using Large-Scale Vision and Language model (#2730 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2730>)
    
      * add ClassificationTask.action, VQATask.action, ClipResult.msg,  QuaryANdProbability.msg, QuestionAndAnswerText.msg, VQAResult.msg
    
  * 
    
      * add image_height and image_width in PanoramaInfo.msg #2753 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2753> from knorth55/panorama-info-image-shape
    
  * add noetic build test (#2756 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2756>)
  * jsk_recognition_msgs : setup.py need src/jsk_recognition_msgs (#2749 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2749>)
    
      * with out this fix, master branch fails with
        ```
        error: package directory 'jsk_recognition_msgs' does not exist
        error: package directory 'src/jsk_recognition_msgs' does not exist
        ```
        Not sure why CI passed
    
  * use catkin_install_python to install python scripts under node_scripts/ scripts/ (#2743 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2743>)
  * image_publisher, enable to publish exif information (#2640 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2640>)
    
      * add ExifGPSInfo.msg, ExifTags.msg
    
  * Add hand pose estimation (#2601 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2601>)
    
      * add HandPose.msg, HandPoseArray.msg
    
  * [jsk_recognition_msgs] add PanoramaInfo.msg (#2579 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2579>)add PanoramaInfo on jsk_recognition_msgs until https://github.com/ros/common_msgs/pull/171 merged
  * Contributors: Iori Yanokura, Kei Okada, Koki Shinjo, Shingo Kitagawa, Wu Liqi, Yoshiki Obinata

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.15-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.14-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.13-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.12-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.11-0jammy) jammy; urgency=high

  * Convert audio data to spectrogram (#2478 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2478>)
    
      * divide program into audio_to_spectrum and spectrum_to_spectrogram
    
  * set chainer version less than 7.0.0 (#2485 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2485>)
    
      * relax test conditions
    
  * fix generate_readme.py and update readme (#2442 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2442>)
  * Publish human skelton msgs in OpenPose node (#2437 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2437>)
    
      * fix typo: skelton -> skeleton
      * add human skelton msgs
    
  * Add sample, test and doc (#2440 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2440>)
    
      * Wait at most ~timeout [sec] in plot_data_to_csv.test
      * Merge branch 'master' into pointit
      * Add test for save_mesh_server.py
      * Add test for plot_data_to_csv.py
      * Add sample for plot_data_to_csv.py
      * Run mkdir if output directory does not exist


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jsk-recognition-msgs//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-jsk-recognition-msgs 1.2.19-6noble.20251025.2046

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_recognition_msgs)
find_package(catkin REQUIRED
  std_msgs sensor_msgs geometry_msgs message_generation pcl_msgs jsk_footstep_msgs)
add_message_files(
  FILES
  Accuracy.msg
  BoundingBoxArray.msg
  BoundingBoxMovement.msg
  BoundingBox.msg
  BoundingBoxArrayWithCameraInfo.msg
  Circle2DArray.msg
  Circle2D.msg
  ClassificationResult.msg
  ClipResult.msg
  ClusterPointIndices.msg
  ColorHistogramArray.msg
  ColorHistogram.msg
  DepthCalibrationParameter.msg
  DepthErrorResult.msg
  ExifTags.msg
  ExifGPSInfo.msg
  HeightmapConfig.msg
  Histogram.msg
  HistogramWithRangeBin.msg
  HistogramWithRange.msg
  HistogramWithRangeArray.msg
  HumanSkeleton.msg
  HumanSkeletonArray.msg
  ICPResult.msg
  ImageDifferenceValue.msg
  Int32Stamped.msg
  Label.msg
  LabelArray.msg
  LineArray.msg
  Line.msg
  ModelCoefficientsArray.msg
  Object.msg
  ObjectArray.msg
  PanoramaInfo.msg  #  added on jsk_recognition_msgs until https://github.com/ros/common_msgs/pull/171 merged
  ParallelEdgeArray.msg
  ParallelEdge.msg
  PlotData.msg
  PointsArray.msg
  PolygonArray.msg
  PosedCameraInfo.msg
  QueryAndProbability.msg
  QuestionAndAnswerText.msg
  RectArray.msg
  Rect.msg
  RotatedRect.msg
  RotatedRectStamped.msg
  SimpleHandle.msg
  SimpleOccupancyGridArray.msg
  SimpleOccupancyGrid.msg
  SlicedPointCloud.msg
  SnapItRequest.msg
  SparseImage.msg
  SparseOccupancyGridArray.msg
  SparseOccupancyGridCell.msg
  SparseOccupancyGridColumn.msg
  SparseOccupancyGrid.msg
  Spectrum.msg
  TimeRange.msg
  TorusArray.msg
  Torus.msg
  TrackerStatus.msg
  TrackingStatus.msg
  BoolStamped.msg
  VectorArray.msg
  VQAResult.msg
  WeightedPoseArray.msg
  ContactSensor.msg
  ContactSensorArray.msg
  PlotDataArray.msg
  Segment.msg
  SegmentStamped.msg
  SegmentArray.msg
  PeoplePose.msg
  PeoplePoseArray.msg
  HandPose.msg
  HandPoseArray.msg
  )

# TODO(wkentaro): Most of srv files are duplicated in jsk_pcl_ros,
#   and jsk_perception, so those in the packages should be removed.
add_service_files(FILES
  CallPolygon.srv
  CallSnapIt.srv
  CheckCircle.srv
  CheckCollision.srv
  EnvironmentLock.srv
  EuclideanSegment.srv
  ICPAlign.srv
  ICPAlignWithBox.srv
  NonMaximumSuppression.srv
  PolygonOnEnvironment.srv
  RobotPickupReleasePoint.srv
  SaveMesh.srv
  SetDepthCalibrationParameter.srv
  SetLabels.srv
  SetPointCloud2.srv
  SetTemplate.srv
  SnapFootstep.srv
  SwitchTopic.srv
  TowerPickUp.srv
  TowerRobotMoveCommand.srv
  TransformScreenpoint.srv
  UpdateOffset.srv
  WhiteBalancePoints.srv
  WhiteBalance.srv
  )

add_action_files(FILES
  VQATask.action
  ClassificationTask.action
  )

generate_messages(
  DEPENDENCIES
  std_msgs sensor_msgs geometry_msgs pcl_msgs jsk_footstep_msgs actionlib_msgs
)
catkin_package(
  CATKIN_DEPENDS std_msgs sensor_msgs geometry_msgs pcl_msgs jsk_footstep_msgs
)

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
install(DIRECTORY sample
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

if($ENV{ROS_DISTRO} STREQUAL "indigo") # on noetic it needs catkin_install_python to support Python3 and it does not work on indigo for some reason...
  install(DIRECTORY scripts
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    USE_SOURCE_PERMISSIONS
    )
else()
  install(DIRECTORY scripts
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    USE_SOURCE_PERMISSIONS
    PATTERN "*"
    PATTERN "*/*.py" EXCLUDE
    )

  file(GLOB SCRIPT_PROGRAMS scripts/*.py)
  catkin_install_python(
  PROGRAMS ${SCRIPT_PROGRAMS}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts
  )
endif()

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/object_array_publisher.test)
  add_rostest(test/people_pose_array_to_pose_array.test)
  add_rostest(test/plot_data_to_csv.test)
  add_rostest(test/save_mesh_server.test)
endif()

=== debian/changelog ===
ros-one-jsk-recognition-msgs (1.2.19-6noble.20251025.2046) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 25 Oct 2025 20:46:06 +0000

ros-one-jsk-recognition-msgs (1.2.19-0noble) noble; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.18-0noble) noble; urgency=high

  * Fixup 6ac62fef5caba52cbfa71c093b242a1f0b5a1b88 (#2853 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2853>)
    Drop unused catkin_python_setup().
    The call and setup.py are only required when defining python modules,
    but jsk_recognition_msgs does not expose a python package (aside from
    the autogenerated package for the messages).
    This got noticed because Debian's python setuptools complains about
    missing package list in setup.py:
    ---
    error: Multiple top-level packages discovered in a flat-layout: ['srv', 'msg', 'debian', 'action', 'sample'].
    To avoid accidental inclusion of unwanted files or directories,
    setuptools will not proceed with this build.
    If you are trying to create a single distribution with multiple packages
    on purpose, you should not rely on automatic discovery.
    Instead, consider the following options:
    1. set up custom discovery (find directive with include or exclude)
    2. use a src-layout
    3. explicitly set py_modules or packages with a list of names
    To find more information, look for "package discovery" on setuptools docs.
    CMake Error at catkin_generated/safe_execute_install.cmake:4 (message):
    execute_process(/<<BUILDDIR>>package/.obj-x86_64-linux-gnu/catkin_generated/python_distutils_install.sh)
    returned error code
    Call Stack (most recent call first):
    cmake_install.cmake:46 (include)
    ---
  * Add ros_environment (#2836 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2836>)
  * Contributors: Jeremy Kolb, v4hn

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.17-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.16-0noble) noble; urgency=high

  * [feature] VQA using Large-Scale Vision and Language model (#2730 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2730>)
    
      * add ClassificationTask.action, VQATask.action, ClipResult.msg,  QuaryANdProbability.msg, QuestionAndAnswerText.msg, VQAResult.msg
    
  * 
    
      * add image_height and image_width in PanoramaInfo.msg #2753 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2753> from knorth55/panorama-info-image-shape
    
  * add noetic build test (#2756 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2756>)
  * jsk_recognition_msgs : setup.py need src/jsk_recognition_msgs (#2749 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2749>)
    
      * with out this fix, master branch fails with
        ```
        error: package directory 'jsk_recognition_msgs' does not exist
        error: package directory 'src/jsk_recognition_msgs' does not exist
        ```
        Not sure why CI passed
    
  * use catkin_install_python to install python scripts under node_scripts/ scripts/ (#2743 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2743>)
  * image_publisher, enable to publish exif information (#2640 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2640>)
    
      * add ExifGPSInfo.msg, ExifTags.msg
    
  * Add hand pose estimation (#2601 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2601>)
    
      * add HandPose.msg, HandPoseArray.msg
    
  * [jsk_recognition_msgs] add PanoramaInfo.msg (#2579 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2579>)add PanoramaInfo on jsk_recognition_msgs until https://github.com/ros/common_msgs/pull/171 merged
  * Contributors: Iori Yanokura, Kei Okada, Koki Shinjo, Shingo Kitagawa, Wu Liqi, Yoshiki Obinata

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.15-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.14-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.13-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.12-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-jsk-recognition-msgs (1.2.11-0noble) noble; urgency=high

  * Convert audio data to spectrogram (#2478 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2478>)
    
      * divide program into audio_to_spectrum and spectrum_to_spectrogram
    
  * set chainer version less than 7.0.0 (#2485 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2485>)
    
      * relax test conditions
    
  * fix generate_readme.py and update readme (#2442 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2442>)
  * Publish human skelton msgs in OpenPose node (#2437 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2437>)
    
      * fix typo: skelton -> skeleton
      * add human skelton msgs
    
  * Add sample, test and doc (#2440 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2440>)
    
      * Wait at most ~timeout [sec] in plot_data_to_csv.test
      * Merge branch 'master' into pointit
      * Add test for save_mesh_server.py
      * Add test for plot_data_to_csv.py
      * Add sample for plot_data_to_csv.py
      * Run mkdir if output directory does not exist


=== debian/control ===
Source: ros-one-jsk-recognition-msgs
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-jsk-footstep-msgs, ros-one-message-generation, ros-one-pcl-msgs, ros-one-ros-environment, ros-one-sensor-msgs, ros-one-std-msgs
Homepage: https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/jsk_recognition_msgs
Standards-Version: 3.9.2

Package: ros-one-jsk-recognition-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-jsk-footstep-msgs, ros-one-message-generation, ros-one-pcl-msgs, ros-one-sensor-msgs, ros-one-std-msgs
Description: ROS messages for jsk_pcl_ros and jsk_perception.

## ros-one-jsk-recognition-msgs 1.2.19-10noble.20251109.2048

=== debian/changelog ===
ros-one-jsk-recognition-msgs (1.2.19-10noble.20251109.2048) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 09 Nov 2025 20:48:20 +0000

## ros-one-jsk-recognition-msgs 1.2.19-12jammy.20251215.2056

=== debian/changelog ===
ros-one-jsk-recognition-msgs (1.2.19-12jammy.20251215.2056) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 20:56:25 +0000

## ros-one-jsk-recognition-msgs 1.2.19-12noble.20251215.2055

=== debian/changelog ===
ros-one-jsk-recognition-msgs (1.2.19-12noble.20251215.2055) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 20:55:22 +0000
